package media

type Book struct {
	ID          int      `json:"-"`
	Title       string   `json:"title"`
	Authors     []string `json:"authors"`
	SortAuthor  string   `json:"sortAuthor"`
	ISBN10      string   `json:"isbn-10"`
	ISBN13      string   `json:"isbn-13"`
	Format      string   `json:"format"`
	Genre       string   `json:"genre"`
	Publisher   string   `json:"publisher"`
	Series      string   `json:"series"`
	Volume      string   `json:"volume"`
	Year        string   `json:"year"`
	Signed      bool     `json:"signed"`
	Description string   `json:"description"`
	Notes       string   `json:"notes"`
	CoverURL    string   `json:"coverURL"`
}

type Record struct {
	ID          int      `json:"-"`
	AlbumName   string   `json:"name"`
	Artists     []string `json:"artists"`
	SortArtist  string   `json:"sortArtist"`
	Identifier  string   `json:"identifier"`
	Format      string   `json:"format"`
	Genre       string   `json:"genre"`
	Label       string   `json:"label"`
	Year        string   `json:"year"`
	Description string   `json:"description"`
	CoverURL    string   `json:"coverURL"`
	DiscogsURL  string   `json:"discogsURL"`
}
